<?php
/**
 * Get all projects (id and name) by user id
 * 
 * @author	Liviu
 * @since 	Apr 8, 2008 
 */

// Set headers 
header('Content-type: text/plain'); 

// Include needed files
include ('./JSON.php');
include ('./delegate.php');

// Collect data from REQUEST
$projectId		= $_REQUEST['projectId'];

// Make new Delegate instance
$delegate	= new Delegate();

// Get all user in project
$userInProjects = $delegate->getUsersInProjectsOrderByUserName(array('projectid' => $projectId));
$usersArray = array();

// User is in at least one project
if(count($userInProjects) > 0) {
	
	// For each loop
	foreach($userInProjects as $userInProjectKey => $userInProject) {
		
		// Get project by id
		$users = $delegate->getUsers(array('id' => $userInProject->userId));
		
		// If project exists
		if(count($users) == 1) {
			
			// For each loop
			foreach($users as $userKey => $user) {
				
				// Add in array id and project name
				$usersArray[] = array('id' => $user->id, 'name' => $user->name);
			}
		}	
	}
	
}


// Make the final map
$finalMap = array('employees'=>$usersArray);

// Make new JSon instance
$json = new Services_JSON();

// Make the final output
$output = $json->encode($finalMap);

// Print the output      
echo($output);

?> 