<?php
/**
 * Get all projects by client id
 * 
 * @author	Liviu
 * @since 	Apr 8, 2008 
 */

// Set headers 
header('Content-type: text/plain'); 

// Include needed files
include ('./JSON.php');
include ('./delegate.php');

// Collect data from REQUEST
$clientId		= $_REQUEST['clientId'];

// Make new Delegate instance
$delegate	= new Delegate();

// Get all projects by client id
$projects = $delegate->getProjects(array('clientid' => $clientId));

$usersArray = array();

// If projects exists for that client
if(count($projects) > 0) {
	// For each loop
	foreach($projects as $projectKey => $project) {
		// Add in array id and project name
		$usersArray[] = array('id' => $project->id, 'name' => $project->name);
	}
}

// Make the final map
$finalMap = array('projects'=>$usersArray);

// Make new JSon instance
$json = new Services_JSON();

// Make the final output
$output = $json->encode($finalMap);

// Print the output      
print($output);

?> 