<?
/**
 * Get full name of server + script name
 * eg: http://yahoo.com/subfolder/folder/x/y
 */
function getServerRoot() {
	
	/*
	 * Get primary server root address
	 */
	$primaryServerRoot = $_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'];
	
	
	/*
	 * Get all chars from 0 to the last slash (/)
	 */
	$serverRoot = substr($primaryServerRoot, 0 , strrpos($primaryServerRoot, '/'));
	
	
	/*
	 * Check if server root have "http" OR "https" in first 5 chars
	 */
	if(!eregi("http|https", substr($serverRoot, 0, 5))) {
		$serverRoot = "http://{$serverRoot}";
	}
	
	if(substr($serverRoot, -7, 7) == 'install') {
		$serverRoot = substr($serverRoot, 0, strlen($serverRoot) - 7);
	}
	
	/*
	 * Check the last slash. If find, delete him
	 */
	if(substr($serverRoot, -1) == '/') {
		$serverRoot = substr($serverRoot, 0, strlen($serverRoot)-1);
	}
    
	
	return $serverRoot;
}

?>